export interface StrestConfig {
    reporters: string[];
    reportDirectory: string;
}
export declare const DEFAULT_CONFIG: StrestConfig;
export declare type TimeInterval = {
    timeToWait: number;
};
export declare type Execution = {
    totalCount: number;
    parallel: boolean;
};
export declare class ExecutionInstance {
    arr: any[];
    constructor();
    getArr(): any[];
    asString(): string;
    waitTime(time: number): this;
    runInstances(count: number, parallel?: boolean): this;
}
export declare const waitTime: (time: number) => ExecutionInstance;
export declare const runInstances: (count: number, parallel?: boolean) => ExecutionInstance;
export declare type InstanceOption = TimeInterval | Execution;
export interface StressTestOptions {
    name?: string;
    instances: ExecutionInstance[];
    repeat?: number;
    stopOnError?: boolean;
}
export declare const StressTest: (options?: StressTestOptions) => (target: any) => void;
