"use strict";
var executer_1 = require("../executer");
exports.DEFAULT_CONFIG = {
    reporters: [],
    reportDirectory: './reports/',
};
var waitTimeInner = function (timeInMs) {
    return {
        timeToWait: timeInMs
    };
};
var runInstancesInner = function (count, parallel) {
    if (parallel === void 0) { parallel = false; }
    return {
        parallel: parallel,
        totalCount: count
    };
};
var ExecutionInstance = (function () {
    function ExecutionInstance() {
        this.arr = [];
    }
    ExecutionInstance.prototype.getArr = function () {
        return this.arr;
    };
    ExecutionInstance.prototype.asString = function () {
        var actionsArr = [];
        this.arr.forEach(function (item) {
            if (item.totalCount) {
                actionsArr.push("I(" + item.totalCount + ")");
            }
            else if (item.timeToWait) {
                actionsArr.push("W(" + item.timeToWait + "ms)");
            }
        });
        return actionsArr.join(', ');
    };
    ExecutionInstance.prototype.waitTime = function (time) {
        this.arr.push(waitTimeInner(time));
        return this;
    };
    ExecutionInstance.prototype.runInstances = function (count, parallel) {
        if (parallel === void 0) { parallel = false; }
        this.arr.push(runInstancesInner(count, parallel));
        return this;
    };
    return ExecutionInstance;
}());
exports.ExecutionInstance = ExecutionInstance;
exports.waitTime = function (time) {
    var ins = new ExecutionInstance();
    return ins.waitTime(time);
};
exports.runInstances = function (count, parallel) {
    if (parallel === void 0) { parallel = false; }
    var ins = new ExecutionInstance();
    return ins.runInstances(count, parallel);
};
exports.StressTest = function (options) {
    if (options === void 0) { options = { instances: [exports.runInstances(1)] }; }
    return function (target) {
        target.$$config = options;
        target.$$configFile = global['$$configFile'];
        executer_1.addToTestSuite(target);
    };
};
//# sourceMappingURL=stress-test.js.map