import { BaseReporter } from './reporters/base-reporter';
export declare const EReportType: {
    NOTE: string;
    WARNING: string;
    ERROR: string;
};
export declare const EExecutionStep: {
    INIT: string;
    SCENARIO: string;
    SETUP: string;
    TEARDOWN: string;
};
export interface Report {
    message: string;
    data?: any;
    timestamp?: Date;
    type?: string;
    instance?: number;
}
export declare class Reports {
    _instance: number;
    _currentTestData: any;
    _reports: Map<string, Report[]>;
    _reporters: Map<string, BaseReporter>;
    _step: string;
    constructor();
    _setStep(executionStep: string): void;
    _setTest(testData: any): void;
    _setInstanceNumber(instance: number): void;
    warning(params: Report): void;
    note(params: Report): void;
    error(params: Report): void;
    _report(params: Report): void;
    saveReport(reports: Reports, testName: string, reporters: string[], path: string): void;
}
