#!/usr/bin/env node
"use strict";
var fs = require("fs");
var path = require("path");
var jest = require("jest-cli");
var stress_test_1 = require("./decorators/stress-test");
var CONFIG_FILE_NAME = 'strest.json';
try {
    var configFile = path.resolve(process.cwd(), CONFIG_FILE_NAME);
    console.log("Looking for strest.json config file in: " + configFile);
    if (fs.existsSync(configFile)) {
        console.log("Reading config from file: " + configFile + "...");
        global['$$configFile'] = Object.assign({}, stress_test_1.DEFAULT_CONFIG, JSON.parse(fs.readFileSync(configFile).toString()));
    }
}
catch (e) {
    global['$$configFile'] = stress_test_1.DEFAULT_CONFIG;
    console.log(e);
}
global['$$configFile'].reportDirectory = path.resolve(process.cwd(), global['$$configFile'].reportDirectory);
var args = process.argv.splice(2).concat(['-i', '--verbose', '--runInBand', '--env=' + path.resolve(__dirname, './src/transformer/env.js')]);
if (process.env.DEBUG) {
    console.log('Config file: ', global['$$configFile']);
    console.log('Executing Jest with arguments: ', args);
}
jest.run(args);
//# sourceMappingURL=strest.js.map