export interface LoginToken {
    id: string;
    token: string;
    tokenExpires: Date;
}
export declare class MeteorStressTest {
    private ddpClient;
    private subscriptions;
    urlToDDPOptions(url: any): {
        path: string;
        host: string;
        port: number;
        use_ssl: boolean;
    };
    connect(ddpUrl?: string): Promise<any>;
    disconnect(): any;
    unsubscribe(subscriptionName: string): any;
    subscribe(subscriptionName: string, ...args: any[]): Promise<any>;
    call(methodName: string, ...args: any[]): Promise<any>;
    login(username: string, email: string, password: string): Promise<LoginToken>;
    getValidUser(email: string, username: string): {
        username?: string;
        email?: string;
    };
    hashPassword(password: string): {
        digest: string;
        algorithm: 'sha-256';
    };
    readonly ddp: any;
}
